### Constructor

# Vips Image new_from_file_RW

#### Declaration [src]

    VipsImage*
    vips_image_new_from_file_RW (
      const char* filename
    )

#### Description [src]

Opens the named file for simultaneous reading and writing. This will only work for VIPS files in a format native to your machine. It is only for paintbox-type applications.

See also

`vips_draw_circle()`.

#### Parameters

`filename`

  Type: `const char*`

  Filename to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.